# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Perl module to convert caller-ID XML fragments to SPF format
Name:		perl-LMAP-CID2SPF
Version:	0.9
Release:	17.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Source0:	http://www.baschny.de/spf/LMAP-CID2SPF-%{version}.tar.gz
URL:		http://www.openspf.org/
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XML::Parser)
# Test Suite
BuildRequires:	perl(blib)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module can be used to convert between two of the LMAP (Lightweight MTA
Authentication Protocol) formats currently being proposed:

  CID = Microsoft's Caller-ID
  SPF = Sender Policy Framework

It will convert a XML-fragment as proposed by CID to a record that can be
added to DNS as proposed by SPF.

%prep
%setup -q -n LMAP-CID2SPF-%{version}

# Permissions wrong in tarball
chmod -c -x CID2SPF.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc README
%{_bindir}/cid2spf
%{perl_vendorlib}/LMAP/
%{_mandir}/man3/LMAP::CID2SPF.3*

%changelog
* Sat Apr 28 2018 Paul Howarth <paul@city-fan.org> - 0.9-17
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Fri Jun 16 2017 Paul Howarth <paul@city-fan.org> - 0.9-16
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Aug 31 2016 Paul Howarth <paul@city-fan.org> - 0.9-15
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 0.9-14
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 0.9-13
- BR: perl(Carp) and perl(Exporter)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 0.9-12
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.9-11
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> - 0.9-10
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> - 0.9-9
- Dist tag for Rawhide no longer needs special-casing

* Fri Sep 11 2009 Paul Howarth <paul@city-fan.org> - 0.9-8
- Define RPM macros in global scope

* Tue Mar 11 2008 Paul Howarth <paul@city-fan.org> - 0.9-7
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Add buildreq perl(Test::More)

* Tue Jun  5 2007 Paul Howarth <paul@city-fan.org> - 0.9-6
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth
- Change URL hostname from spf.pobox.com to www.openspf.org

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> - 0.9-5
- Simplify distribution-detection
- Define %%{__id_u} in a more portable way
- Don't use macros in build-time command paths, hardcode them instead
- Remove buildroot unconditionally in %%clean and %%install

* Wed Jul 13 2005 Paul Howarth <paul@city-fan.org> - 0.9-4
- Fix bogus Group: tag
- Remove optimizations from %%build, not needed for noarch package
- Fix directory ownership issues
- Fix file permissions issues

* Fri May 20 2005 Paul Howarth <paul@city-fan.org> - 0.9-3
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> - 0.9-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Thu Feb 26 2004 Paul Howarth <paul@city-fan.org> - 0.9-1
- Initial build
